/////
// BVApp.cpp
// implement file for BVApp class
//
// Hideki Naito
// last modified : 1999/12/27
//

#include	<stdlib.h>
#include	"BVApp.h"
#include	"BVView.h"


/////
// signatres
//
const char *app_sig = "application/x-vnd.wbAPPS-BatteryView";// this application
const char *db_sig = "application/x-vnd.Be-TSKB";			// Deskbar


/////
// constructor for BVApp class
BVApp::BVApp(
	int	viewwidth)
	: BApplication(app_sig)
{
	BMessenger	mgr(db_sig, -1, NULL);

	// install in Deskbar
	BVView		*bv;
	if(viewwidth <= 1)
	{
		viewwidth = 42;
	}
	bv = new BVView(BRect(0, 0, (viewwidth - 1), 15));
	BMessage	arc(B_ARCHIVED_OBJECT);
	bv->Archive(&arc);

	mgr.SendMessage(&arc);
	delete bv;

	// quit this application
	this->PostMessage(B_QUIT_REQUESTED);
}


/////
// application startup
//
int main(
	int		argc,
	char	*argv[])
{
	BVApp	*app;

	if(argc > 1)
	{
		app = new BVApp(atoi(argv[1]));
	}
	else
	{
		app = new BVApp();
	}
	app->Run();
	delete app;
	return true;
}
